# Add 3D Component

This function is used to add components from the mod to a gameobject in yours.

The function is actually called `Add3DComponent`. It only takes two parameters.

1. GameObject to add to
2. Name of component to add

Example:

```csharp
GameObject.Find("Mod3DAPI").SendMessage("Add3DComponent", new object[]
{
    Instance,
    "Thruster3D"
}, SendMessageOptions.DontRequireReceiver);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.team-wilson.org/readme/api/add-3d-component.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
